"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLoginRedirectableUrl = exports.stopSync = exports.getSyncStatus = exports.syncProject = exports.getProjects = void 0;
const ambassadorWixPortfolioSyncedprojectsV1SyncedProject = __importStar(require("./portfolio-syncedprojects-v1-synced-project-synced-project.http.js"));
function getProjects() {
    const payload = { appDefId: ':appDefId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.getProjects(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/projects/{appDefId}',
        pathParams: { appDefId: 'appDefId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getProjects = getProjects;
function syncProject() {
    const payload = { appDefId: ':appDefId', externalId: ':externalId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.syncProject(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/projects/{appDefId}/sync/{externalId}',
        pathParams: { appDefId: 'appDefId', externalId: 'externalId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.syncProject = syncProject;
function getSyncStatus() {
    const payload = { appDefId: ':appDefId', externalId: ':externalId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.getSyncStatus(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/projects/{appDefId}/sync/{externalId}/status',
        pathParams: { appDefId: 'appDefId', externalId: 'externalId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getSyncStatus = getSyncStatus;
function stopSync() {
    const payload = { appDefId: ':appDefId', externalId: ':externalId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.stopSync(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/projects/{appDefId}/sync/{externalId}/stop',
        pathParams: { appDefId: 'appDefId', externalId: 'externalId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.stopSync = stopSync;
function getLoginRedirectableUrl() {
    const payload = {};
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.getLoginRedirectableUrl(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/projects/login/url',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getLoginRedirectableUrl = getLoginRedirectableUrl;
//# sourceMappingURL=portfolio-syncedprojects-v1-synced-project-synced-project.meta.js.map