import { getLoginRedirectableUrl as universalGetLoginRedirectableUrl, getProjects as universalGetProjects, getSyncStatus as universalGetSyncStatus, stopSync as universalStopSync, syncProject as universalSyncProject, } from './portfolio-syncedprojects-v1-synced-project-synced-project.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/portfolio' };
export function getProjects(httpClient) {
    return (appDefId, options) => universalGetProjects(appDefId, options, 
    // @ts-ignore
    { httpClient });
}
export function syncProject(httpClient) {
    return (identifiers) => universalSyncProject(identifiers, 
    // @ts-ignore
    { httpClient });
}
export function getSyncStatus(httpClient) {
    return (identifiers) => universalGetSyncStatus(identifiers, 
    // @ts-ignore
    { httpClient });
}
export function stopSync(httpClient) {
    return (identifiers) => universalStopSync(identifiers, 
    // @ts-ignore
    { httpClient });
}
export function getLoginRedirectableUrl(httpClient) {
    return (appDefId) => universalGetLoginRedirectableUrl(appDefId, 
    // @ts-ignore
    { httpClient });
}
export { DeleteStatus, Namespace, SiteCreatedContext, State, SyncStatus, WebhookIdentityType, } from './portfolio-syncedprojects-v1-synced-project-synced-project.universal.js';
//# sourceMappingURL=portfolio-syncedprojects-v1-synced-project-synced-project.public.js.map