import { getProjects as publicGetProjects, syncProject as publicSyncProject, getSyncStatus as publicGetSyncStatus, stopSync as publicStopSync, getLoginRedirectableUrl as publicGetLoginRedirectableUrl } from './portfolio-syncedprojects-v1-synced-project-synced-project.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const getProjects: MaybeContext<BuildRESTFunction<typeof publicGetProjects> & typeof publicGetProjects>;
export declare const syncProject: MaybeContext<BuildRESTFunction<typeof publicSyncProject> & typeof publicSyncProject>;
export declare const getSyncStatus: MaybeContext<BuildRESTFunction<typeof publicGetSyncStatus> & typeof publicGetSyncStatus>;
export declare const stopSync: MaybeContext<BuildRESTFunction<typeof publicStopSync> & typeof publicStopSync>;
export declare const getLoginRedirectableUrl: MaybeContext<BuildRESTFunction<typeof publicGetLoginRedirectableUrl> & typeof publicGetLoginRedirectableUrl>;
export { SyncStatus, State, SiteCreatedContext, Namespace, DeleteStatus, WebhookIdentityType, } from './portfolio-syncedprojects-v1-synced-project-synced-project.universal.js';
export { SyncedProject, SyncingProjectEvent, SyncProjectPagingEvent, SyncSiteEvent, CursorPaging, SyncProjectRequest, GetProjectsRequest, GetProjectsResponse, PagingMetadataV2, Cursors, SyncProjectResponse, GetSyncStatusRequest, GetSyncStatusResponse, StopSyncRequest, StopSyncResponse, GetLoginRedirectableUrlRequest, GetLoginRedirectableUrlResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, ItemCreatedMediaCallbackRequest, MediaFileOutput, MediaVideoOutput, MediaImageOutput, ItemCreatedMediaCallbackResponse, ProjectCoverImageCreatedMediaCallbackRequest, ProjectCoverImageCreatedMediaCallbackResponse, MetaSiteSpecialEvent, MetaSiteSpecialEventPayloadOneOf, Asset, SiteCreated, SiteTransferred, SiteDeleted, DeleteContext, SiteUndeleted, SitePublished, SiteUnpublished, SiteMarkedAsTemplate, SiteMarkedAsWixSite, ServiceProvisioned, ServiceRemoved, SiteRenamed, SiteHardDeleted, NamespaceChanged, StudioAssigned, StudioUnassigned, SyncAllSitesEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, GetProjectsResponseNonNullableFields, SyncProjectResponseNonNullableFields, GetSyncStatusResponseNonNullableFields, StopSyncResponseNonNullableFields, GetLoginRedirectableUrlResponseNonNullableFields, GetProjectsOptions, SyncProjectIdentifiers, GetSyncStatusIdentifiers, StopSyncIdentifiers, } from './portfolio-syncedprojects-v1-synced-project-synced-project.universal.js';
