import * as ambassadorWixPortfolioSyncedprojectsV1SyncedProject from './portfolio-syncedprojects-v1-synced-project-synced-project.http.js';
export function getProjects() {
    const payload = { appDefId: ':appDefId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.getProjects(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/projects/{appDefId}',
        pathParams: { appDefId: 'appDefId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function syncProject() {
    const payload = { appDefId: ':appDefId', externalId: ':externalId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.syncProject(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/projects/{appDefId}/sync/{externalId}',
        pathParams: { appDefId: 'appDefId', externalId: 'externalId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getSyncStatus() {
    const payload = { appDefId: ':appDefId', externalId: ':externalId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.getSyncStatus(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/projects/{appDefId}/sync/{externalId}/status',
        pathParams: { appDefId: 'appDefId', externalId: 'externalId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function stopSync() {
    const payload = { appDefId: ':appDefId', externalId: ':externalId' };
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.stopSync(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/projects/{appDefId}/sync/{externalId}/stop',
        pathParams: { appDefId: 'appDefId', externalId: 'externalId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getLoginRedirectableUrl() {
    const payload = {};
    const getRequestOptions = ambassadorWixPortfolioSyncedprojectsV1SyncedProject.getLoginRedirectableUrl(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/projects/login/url',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=portfolio-syncedprojects-v1-synced-project-synced-project.meta.js.map